From df1340f0c1810a0cff3b0f0646a2eb84e72ffd27 Mon Sep 17 00:00:00 2001
From: Jitesh Shah <jiteshs@marvell.com>
Date: Fri, 9 Oct 2009 11:16:22 +0200
Subject: [PATCH] Disable valgrind tests for curl

Signed-off-by: Jitesh Shah <jiteshs@marvell.com>
---
 curl-disable-valgrind.patch |   28 ++++++++++++++++++++++++++++
 curl.spec                   |   16 +++++++++++++++-
 2 files changed, 43 insertions(+), 1 deletions(-)
 create mode 100644 curl-disable-valgrind.patch

diff --git a/curl-disable-valgrind.patch b/curl-disable-valgrind.patch
new file mode 100644
index 0000000..b6f3a51
--- /dev/null
+++ b/curl-disable-valgrind.patch
@@ -0,0 +1,28 @@
+diff -dur curl-7.19.6.backup/tests/Makefile.am curl-7.19.6/tests/Makefile.am
+--- curl-7.19.6.backup/tests/Makefile.am	2009-08-11 23:48:59.000000000 +0200
++++ curl-7.19.6/tests/Makefile.am	2009-10-09 11:04:29.018012581 +0200
+@@ -50,19 +50,20 @@
+ TEST_Q = -a -s
+ TEST_F = -a -p
+ TEST_T = -a -t
++TEST_NO_VALGRIND = -n
+ endif
+ 
+ test: all
+-	$(TEST)
++	$(TEST) $(TEST_NO_VALGRIND)
+ 
+ quiet-test: all
+-	$(TEST) $(TEST_Q)
++	$(TEST) $(TEST_Q) $(TEST_NO_VALGRIND)
+ 
+ full-test: all
+-	$(TEST) $(TEST_F)
++	$(TEST) $(TEST_F) $(TEST_NO_VALGRIND)
+ 
+ torture-test: all
+-	$(TEST) $(TEST_T)
++	$(TEST) $(TEST_T) $(TEST_NO_VALGRIND)
+ 
+ .1.html:
+ 	$(MAN2HTML)
diff --git a/curl.spec b/curl.spec
index 0f55d8d..5027118 100644
--- a/curl.spec
+++ b/curl.spec
@@ -1,7 +1,11 @@
+%define use_valgrind 1
+%ifarch %{arm}
+%define use_valgrind 0
+%endif
 Summary: A utility for getting files from remote servers (FTP, HTTP, and others)
 Name: curl
 Version: 7.19.6
-Release: 10%{?dist}
+Release: 10%{?dist}.fa1
 License: MIT
 Group: Applications/Internet
 Source: http://curl.haxx.se/download/%{name}-%{version}.tar.lzma
@@ -13,6 +17,7 @@ Patch4: curl-7.19.6-autoconf.patch
 Patch101: curl-7.15.3-multilib.patch
 Patch102: curl-7.16.0-privlibs.patch
 Patch103: curl-7.19.4-debug.patch
+Patch200: curl-disable-valgrind.patch 
 Provides: webclient
 URL: http://curl.haxx.se/
 BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
@@ -27,7 +32,9 @@ BuildRequires: openssh-clients
 BuildRequires: openssh-server
 BuildRequires: pkgconfig
 BuildRequires: stunnel
+%if %{use_valgrind}
 BuildRequires: valgrind
+%endif
 BuildRequires: zlib-devel
 Requires: libcurl = %{version}-%{release}
 
@@ -83,6 +90,10 @@ use cURL's capabilities internally.
 %patch102 -p1
 %patch103 -p1
 
+%if %{use_valgrind}
+%patch200 -p1
+%endif
+
 # Convert docs to UTF-8
 for f in CHANGES README; do
 	iconv -f iso-8859-1 -t utf8 < ${f} > ${f}.utf8
@@ -165,6 +176,9 @@ rm -rf $RPM_BUILD_ROOT
 %{_datadir}/aclocal/libcurl.m4
 
 %changelog
+* Fri Oct  9 2009 Jitesh Shah <jiteshs@marvell.com> 7.19.6-10_fa1
+- Disable valgrind for ARM
+
 * Sun Sep 27 2009 Kamil Dudka <kdudka@redhat.com> 7.19.6-10
 - require libssh2>=1.2 properly (#525002)
 
-- 
1.5.5.6

